One Trading API
REST API
WebSocket API
REST API
WebSocket API
  1. Futures
  • Public
    • Currencies
      GET
    • Instruments
      GET
    • Candlesticks
      GET
    • Fee Groups
      GET
    • Order Book
      GET
    • Market Ticker
      GET
    • Market Ticker For Instrument
      GET
    • Time
      GET
  • Trading
    • Get Orders
      GET
    • Create Order
      POST
    • Get Order by Client ID
      GET
    • Get Order by Order ID
      GET
    • Balances
      GET
    • Subaccounts
      GET
    • Fees
      GET
    • Get Trades for Order
      GET
    • Get Trade by Trade ID
      GET
    • Get Trades
      GET
    • Cancel All Orders
      DELETE
    • Cancel Order by Order ID
      DELETE
    • Cancel Order by Client ID
      DELETE
    • Get Exotic Orders (TP/SL)
      GET
    • Create Exotic Order (TP/SL)
      POST
    • Update Exotic Order (TP/SL)
      PATCH
    • Cancel Exotic Order (TP/SL)
      DELETE
  • Futures
    • Introduction
    • Funding Rate Methodology
    • Funding Payments
      GET
    • Positions
      GET
    • Position Funding Payments
      GET
    • Funding Rate Settings
      GET
    • Get Futures Open Positions
      GET
    • Futures Portfolio Summary
      GET
    • Current Funding Rate
      GET
    • Funding Rate History
      GET
    • Funding Schedule
      GET
  • Funding
    • Transfer Subaccount Balance
      POST
    • Get Transactions
      GET
    • Get Deposit Addresses
      GET
    • Create Deposit Address
      POST
  1. Futures

Current Funding Rate

Developing
GET
https://api.onetrading.com/fast/v1/funding-rate
Retrieve the latest preliminary funding rate for one or more futures instruments, or for all active futures instruments. The rate is recalculated every minute and settled at the end of each funding period (every 4 hours for crypto perpetuals). Use the Funding Schedule endpoint (GET /v1/funding-rate/schedule) for each instrument's next funding time.
The timestamp indicates when the most recent funding rate update was received. Responses may be cached for up to 5 seconds.
An instrument code is the id property from the Instruments endpoint.
Unknown query parameters are rejected with 400 UNEXPECTED_PARAMETERS.
Funding rates are only available for futures markets.

Request

Authorization
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Query Params

Responses

🟢200Success
application/json
Bodyapplication/json

🟠400Bad Request
🟠404Record Not Found
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.onetrading.com/fast/v1/funding-rate?instrument_code=BTC_USD_P' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Single Instrument Code
[
    {
        "instrument_code": "BTC_USD_P",
        "funding_rate": "0.000017902243428335654",
        "mark_price": "67812.73",
        "time": 1771575120000,
        "timestamp": "2026-02-20T08:12:00.000000000Z"
    }
]
Previous
Futures Portfolio Summary
Next
Funding Rate History
Built with